Skip to main content

Cycle Repeat Advanced

cycle-repeat-advanced

Chart: Cycle Repeat Advanced

Parameters

NameTypeDescriptionRequired
start_datestringStart date in YYYY-MM-DD formatNo
end_datestringEnd date in YYYY-MM-DD formatNo
latestboolIf true, returns the current valueNo

Output

IndexNameTypeDescription
0datestringDate (ISO)
1pricestringPrice
2sma200stringSMA200
3sma1458stringSMA1458
4actual_pricestringActual price
5count_of_actual_price_pointsstringCount of actual price points
6ath_markersstringATH markers (JSON array strings)
7current_date_markerstringCurrent date marker

Example Request

https://charts.bitbo.io/api/v1/cycle-repeat-advanced/?start_date=2025-05-07&end_date=2025-05-09

Example Request with Latest

https://charts.bitbo.io/api/v1/cycle-repeat-advanced/?latest=true

Code Samples

curl "https://charts.bitbo.io/api/v1/cycle-repeat-advanced/?start_date=2025-05-07&end_date=2025-05-09&api_key=YOUR_API_KEY"

Example Output

{
"data": [
[
"2025-05-07",
"12.34",
"12.34",
"12.34",
"12.34",
"12.34",
"[]",
"2025-05-07"
],
[
"2025-05-08",
"23.45",
"23.45",
"23.45",
"23.45",
"23.45",
"[]",
"2025-05-08"
],
[
"2025-05-09",
"34.56",
"34.56",
"34.56",
"34.56",
"34.56",
"[]",
"2025-05-09"
]
]
}